Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

# Class FinancialInstitution3

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_01.FinancialInstitution3

public class FinancialInstitution3 extends Object

Java class for FinancialInstitution3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FinancialInstitution3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FinInstnId" type="{urn:sepade:xsd:pain.008.001.01}FinancialInstitutionIdentification5"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected FinancialInstitutionIdentification5`
`finInstnId`

## Constructor Summary

Constructors
Constructor
Description
`FinancialInstitution3()`

## Method Summary

Modifier and Type
Method
Description
`FinancialInstitutionIdentification5`
`getFinInstnId()`
Gets the value of the finInstnId property.
`void`
`setFinInstnId(FinancialInstitutionIdentification5 value)`
Sets the value of the finInstnId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### finInstnId

protected FinancialInstitutionIdentification5 finInstnId

## Constructor Details

### FinancialInstitution3

public FinancialInstitution3()

## Method Details

### getFinInstnId

public FinancialInstitutionIdentification5 getFinInstnId()
Gets the value of the finInstnId property.

Returns:
  possible object is `FinancialInstitutionIdentification5`

### setFinInstnId

public void setFinInstnId(FinancialInstitutionIdentification5 value)
Sets the value of the finInstnId property.

Parameters:
  `value` - allowed object is `FinancialInstitutionIdentification5`